Create Suites

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /visual-tests
  • /suites

Add a new visual test suite to a project

Request

REQUIRED SCOPES
VISUAL_TEST_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

BODY PARAMETERS
namerequiredstring
Name of the visual test suite

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
Unique identifier of the visual test suite
namestring
Name of the visual test suite
identifierstring
Unique identifier for the suite (auto-generated if not provided)
tokenstring
Authentication token for the suite

Last modified on Jun 29, 2026

Request example

CURL
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/visual-tests/suites" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
201 Created